<?php
/*
=============================
Kategooriate menüü
=============================
*/
echo '<div class="col-md-3"><div class="list-group">';
include_once ROOT.'db/dbconfig.php';
include_once ROOT.'admin/objects/kategooria.class.php';
 
$database = new Database();
$db = $database->dbConnection();
 
$cat = new Kategooria($db);
 
$stmt = $cat->read();
$num = $stmt->rowCount();

if($num>0){
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){

    extract($row);
    $cat->id = $id;
    $esemeteArvKategoorias = $cat->esemeteArv();
    echo "<a href='".HTTP."?kategooria={$id}' class='list-group-item'>{$nimi}<span class='badge'>{$esemeteArvKategoorias}</span></a>";
}
echo "</div></div>";
    } else {
    	echo "<a href='".HTTP."' class='list-group-item'>Kõik oksjonid</a>";
    }
?>